org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryLoopbackProblemMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryLoopbackProblemMessage

All Implemented Interfaces:
  Serializable

    public class TcpDiscoveryLoopbackProblemMessage
    extends TcpDiscoveryAbstractMessage

Message telling joining node that it has loopback problem (misconfiguration). This means that remote node is configured to use loopback address, but joining node is not, or vise versa.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryLoopbackProblemMessage(UUID creatorNodeId, Collection<String> addrs, Collection<String> hostNames)` Constructor.

### Method Summary

Methods
`Collection<String>` `addresses()`
`Collection<String>` `hostNames()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, equals, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, traceLogLevel, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryLoopbackProblemMessage

    public TcpDiscoveryLoopbackProblemMessage(UUID creatorNodeId,
                                      Collection<String> addrs,
                                      Collection<String> hostNames)

Constructor.

Parameters:
  `creatorNodeId` - Creator node ID.
  `addrs` - Remote node addresses.
  `hostNames` - Remote node host names.

### Method Detail

#### addresses

    public Collection<String> addresses()

Returns:
  Remote node addresses.

#### hostNames

    public Collection<String> hostNames()

Returns:
  Remote node host names.

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017